SoSFMatrix(3)

NAME
SoSFMatrix - The SoSFMatrix class is a container for an SbMatrix.

SYNOPSIS

#include <Inventor/fields/SoSFMatrix.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFMatrix & operator= (const SoSFMatrix &field)
virtual SbBool isSame (const SoField &field) const
const SbMatrix & getValue (void) const
void setValue (const SbMatrix &newvalue)
const SbMatrix & operator= (const SbMatrix &newvalue)
int operator== (const SoSFMatrix &field) const
int operator!= (const SoSFMatrix &field) const
void setValue (const float a11, const float a12, const float a13, const float a14, const float a21, const float a22, const float a23, const float a24, const float a31, const float a32, const float a33, const float a34, const float a41, const float a42, const float a43, const float a44)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SbMatrix value

  Additional Inherited Members

Detailed Description

The SoSFMatrix class is a container for an SbMatrix. This field is used where nodes, engines or other field containers need to store a 4x4 matrix.

Fields of this type stores their value to file as a set of 16 floating point values, written from the matrix in row-major mode.

See also
    SoMFMatrix

Member Function Documentation

  void * SoSFMatrix::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFMatrix::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFMatrix::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFMatrix::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFMatrix::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFMatrix::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFMatrix::setValue (const float a11, const float a12, const float a13, const float a14, const float a21, const float a22, const float a23, const float a24, const float a31, const float a32, const float a33, const float a34, const float a41, const float a42, const float a43, const float a44)
Set matrix elements.

Author

Generated automatically by Doxygen for Coin from the source code.